Skip to main content
GET
/
subscriptions
Get all Subscriptions
curl --request GET \
  --url https://api.flutterwave.com/v3/subscriptions \
  --header 'Authorization: Bearer <token>'
{
  "status": "success",
  "message": "Plan subscriptions fetched",
  "meta": {
    "page_info": {
      "total": 2,
      "current_page": 1,
      "total_pages": 1
    }
  },
  "data": [
    {
      "id": 4147,
      "amount": 2000,
      "customer": {
        "id": 247546,
        "customer_email": "h0vkard@flw.ext"
      },
      "plan": 3657,
      "status": "cancelled",
      "created_at": "2019-12-31T17:00:55.000Z"
    },
    {
      "id": 4146,
      "amount": 2000,
      "customer": {
        "id": 247490,
        "customer_email": "h0vkard@flw.ext"
      },
      "plan": 3656,
      "status": "cancelled",
      "created_at": "2019-12-31T14:44:20.000Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://flutterwaveinc.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json; charset=utf-8

OK

status
string
required
message
string
required
meta
Meta22 · object
required
Example:
{
  "page_info": {
    "total": 158,
    "current_page": 1,
    "total_pages": 16
  }
}
data
Data62 · object[]
required